org.deidentifier.arx.framework.check.groupify

## Class HashGroupifyDistribution

- java.lang.Object
- - org.deidentifier.arx.framework.check.groupify.HashGroupifyDistribution

    public class HashGroupifyDistribution
    extends java.lang.Object

A distribution of equivalence classes

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static interface` `HashGroupifyDistribution.PrivacyCondition` A condition that may or may not be fulfilled for the distribution

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageClassSize()` Returns the average class size
`double` `getFractionOfRecordsInClassesOfSize(int size)` Returns the fraction of tuples that are in classes of the given size
`RiskModelHistogram` `getHistogram()` Returns a set of classes as an input for the risk model
`int` `internalGetNumSuppressedRecords()` Returns the number of suppressed records.
`boolean` `isEmpty()` Returns whether there are no records to consider
`void` `suppressWhileNotFulfilledBinary(HashGroupifyDistribution.PrivacyCondition condition)` Suppresses entries until the condition is fulfilled
`void` `suppressWhileNotFulfilledLinear(HashGroupifyDistribution.PrivacyCondition condition)` Suppresses entries until the condition is fulfilled

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAverageClassSize

    public double getAverageClassSize()

Returns the average class size

Returns:

#### getFractionOfRecordsInClassesOfSize

    public double getFractionOfRecordsInClassesOfSize(int size)

Returns the fraction of tuples that are in classes of the given size

Parameters:
  `size` -
Returns:

#### getHistogram

    public RiskModelHistogram getHistogram()

Returns a set of classes as an input for the risk model

#### internalGetNumSuppressedRecords

    public int internalGetNumSuppressedRecords()

Returns the number of suppressed records. This uses the internal counting scheme, which means that records that have been fully generalized are *not* considered suppressed, although they are interpreted this way by the risk model.

Returns:

#### isEmpty

    public boolean isEmpty()

Returns whether there are no records to consider

Returns:

#### suppressWhileNotFulfilledBinary

    public void suppressWhileNotFulfilledBinary(HashGroupifyDistribution.PrivacyCondition condition)

Suppresses entries until the condition is fulfilled

Parameters:
  `condition` -

#### suppressWhileNotFulfilledLinear

    public void suppressWhileNotFulfilledLinear(HashGroupifyDistribution.PrivacyCondition condition)

Suppresses entries until the condition is fulfilled

Parameters:
  `condition` -